*
* https://www.diyaudio.com/community/threads/vacuum-tube-spice-models.243950/page-163#post-6944473
*
* 5/5/2023, original from link above WJS
* 5/15/2023 updates
*   1) Remove V(22) from G1 (plate) and G2 (Grid 2).
*   2) Updates for G(rid) current.

**** GU81 ******************************************
* Created on 02/17/2022 20:50 using paint_kip.jar
* www.dmitrynizh.com/tubeparams_image.htm
* Plate Curves image file: GU81.jpg
* Data source link: <plate curves URL>
*----------------------------------------------------------------------------------
.SUBCKT GU81 P G2 G K ; LTSpice tetrode.asy pinout
* .SUBCKT GU81 P G K G2 ; Koren Pentode Pspice pinout
+ PARAMS: MU=3.222 KG1=2317.17 KP=56.18 KVB=12.01 VCT=-0.1625 EX=1.31 KG2=4863.69 KNEE=215.9 KVC=2.076
+ KLAM=3.052E-14 KLAMG=2.803E-5 KNEE2=65.37 KNEX=166.47  KNK=3.763E-8 KNG=0.02817 KNPL=4.092E-9 KNSL=31537.46 KNPR=10600.24 KNSR=16388.67
+ CCG=32P CGP=0.1P CCP=26P VGOFF=-0.6 IGA=1.13 IGB=235.465 IGC=0.38 IGEX=0.58
* Vp_MAX=3200 Ip_MAX=1600 Vg_step=80 Vg_start=80 Vg_count=17
* X_MIN=73 Y_MIN=24 X_SIZE=776 Y_SIZE=633 FSZ_X=1296 FSZ_Y=736 XYGrid=false
* Rp=1400 Vg_ac=20 P_max=450 Vg_qui=-560 Vp_qui=300
* showLoadLine=n showIp=y isDHP=n isPP=n isAsymPP=n isUL=n showDissipLimit=y
* showIg1=y isInputSnapped=y addLocalNFB=n
* XYProjections=n harmonicPlot=y dissipPlot=n
* UL=0.43 EG2=500 gridLevel2=y addKink=y isTanhKnee=y advSigmoid=n
*----------------------------------------------------------------------------------
RE1  7 0  1G    ; DUMMY SO NODE 7 HAS 2 CONNECTIONS
E1   7 0  VALUE=  ; E1 BREAKS UP LONG EQUATION FOR G1.
+{V(G2,K)/KP*LOG(1+EXP((1/MU+(VCT+V(G,K))/SQRT(KVB+V(G2,K)*V(G2,K)))*KP))}
RE2  6 0  1G    ; DUMMY SO NODE 6 HAS 2 CONNECTIONS
E2  6 0  VALUE={(PWR(V(7),EX)+PWRS(V(7),EX))} ; Kg1 times KIT current
RE21 21 0 1
E21  21 0 VALUE={V(6)/KG1*ATAN((V(P,K)+KNEX)/KNEE)*TANH(V(P,K)/KNEE2)} ; Ip with knee but no slope and no kink
RE22 22 0 1 ; E22: kink curr deviation for plate
E22  22 0 VALUE={V(21)*LIMIT(KNK-V(G,K)*KNG,0,0.3)*(-ATAN((V(P,K)-KNPL)/KNSL)+ATAN((V(P,K)-KNPR)/KNSR))}
*G1   P  K  VALUE={V(21)*(1+KLAMG*V(P,K))+KLAM*V(P,K) + V(22)}
G1   P  K  VALUE={V(21)*(1+KLAMG*V(P,K))+KLAM*V(P,K) }
* Alexander Gurskii screen current, see audioXpress 2/2011, with slope and kink added
RE43 43 K 1G ; Dummy
E43  43 G2 VALUE={0} ; Dummy
*G2   43 K  VALUE={V(6)/KG2*(KVC-ATAN((V(P,K)+KNEX)/KNEE)*TANH(V(P,K)/KNEE2))/(1+KLAMG*V(P,K))-V(22)}
G2   43 K  VALUE={V(6)/KG2*(KVC-ATAN((V(P,K)+KNEX)/KNEE)*TANH(V(P,K)/KNEE2))/(1+KLAMG*V(P,K)) }
RCP  P K  1G     ; FOR CONVERGENCE
C1   K G  {CCG}  ; CATHODE-GRID 1
C2   G P  {CGP}  ; GRID 1-PLATE
C3   K P  {CCP}  ; CATHODE-PLATE
RE23 G 0 1G
GG G K VALUE={(IGA+IGB/(IGC+V(P,K)))*(MU/KG1)*
+(PWR(V(G,K)-VGOFF,IGEX)+PWRS(V(G,K)-VGOFF,IGEX))}
.ENDS
*$
